Texa Desk Application API · Conversations
Conversation Reporting Events
GET/
Get reporting events for a specific conversation. This endpoint returns events such as first response time, resolution time, and other metrics for the conversation, sorted by creation time in ascending order.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Responses
200Success
idnumberID of the reporting event
namestringName of the event (e.g., first_response, resolution, reply_time)
valuenumberValue of the metric in seconds
value_in_business_hoursnumberValue of the metric in seconds, calculated only for business hours
event_start_timestring (date-time)The timestamp when the event started
event_end_timestring (date-time)The timestamp when the event ended
account_idnumberID of the account
conversation_idnumberID of the conversation
inbox_idnumberID of the inbox
user_idnumberID of the user/agent
created_atstring (date-time)The timestamp when the reporting event was created
updated_atstring (date-time)The timestamp when the reporting event was last updated
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring